use crate::service::templates::Templates;
use std::sync::Arc;

use super::registry::DepotRegistry;

pub trait DepotState {
    fn get_templates(&self) -> &Templates;
    fn get_registry(&self) -> SharedDepotRegistry;
}

pub type SharedDepotRegistry = Arc<DepotRegistry>;

pub trait DepotFn = DepotState + Clone + Send + Sync + 'static;
